| kspaceFirstOrder3D-OMP 1.0 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
TLongMatrix Class Reference

The class for 64b integers. It is used for index mask into float matrices.

`#include <LongMatrix.h>`

Inheritance diagram for TLongMatrix:
[legend]
Collaboration diagram for TLongMatrix:
[legend]

List of all members.

## Public Member Functions
| TLongMatrix (struct TDimensionSizes DimensionSizes)
| Constructor.
virtual | ~TLongMatrix ()
| Destructor.
virtual void | ReadDataFromHDF5File (THDF5_File &HDF5_File, const char *MatrixName)
| Read data from the HDF5 file.
virtual void | WriteDataToHDF5File (THDF5_File &HDF5_File, const char *MatrixName, const int CompressionLevel)
| Write data into the HDF5 file.
long & | operator[] (const size_t &index)
long & | GetElementFrom3D (const size_t X, const size_t Y, const size_t Z)
void | RecomputeIndices ()
| Recompute indices MATALAB->C++.
## Protected Member Functions
| TLongMatrix ()
| Default constructor not allowed for public.
| TLongMatrix (const TLongMatrix &src)
| Copy constructor not allowed for public.
TLongMatrix & | operator= (const TLongMatrix &src)
| Operator = not allowed for public.

## Detailed Description

Definition at line 43 of file LongMatrix.h.

## Constructor & Destructor Documentation

TLongMatrix::TLongMatrix | ( | struct TDimensionSizes | DimensionSizes | ) |

Constructor

Parameters:

  [in] | DimensionSizes | - Dimension sizes

Definition at line 59 of file LongMatrix.cpp.

Here is the call graph for this function:

## Member Function Documentation

long& TLongMatrix::GetElementFrom3D | ( | const size_t | X,
|  | const size_t | Y,
|  | const size_t | Z
| ) |  | `[inline]`

Get element form the 3D matrix

Parameters:

  X | - X dimension
  Y | - Y dimension
  Z | - Z dimension

Returns:
  an alement

Definition at line 74 of file LongMatrix.h.

long& TLongMatrix::operator[] | ( | const size_t & | index | ) | `[inline]`

Operator []

Parameters:

  index | - 1D index into the matrix

Returns:
  Value of the index

Definition at line 62 of file LongMatrix.h.

void TLongMatrix::ReadDataFromHDF5File | ( | THDF5_File & | HDF5_File,
|  | const char * | MatrixName
| ) |  | `[virtual]`

Read data from HDF5 file

Exceptions:

  ios:failure | if there's an error

Parameters:

  HDF5_File | - HDF5 file handle
  MatrixName | - HDF5 dataset name

Reimplemented from TBaseMatrix.

Definition at line 91 of file LongMatrix.cpp.

Here is the call graph for this function:

void TLongMatrix::RecomputeIndices | ( |  | ) |

Recompute indeces, MATLAB -> C++

Definition at line 119 of file LongMatrix.cpp.

Here is the caller graph for this function:

void TLongMatrix::WriteDataToHDF5File | ( | THDF5_File & | HDF5_File,
|  | const char * | MatrixName,
|  | const int | CompressionLevel
| ) |  | `[virtual]`

Write data to HDF5 file

Exceptions:

  ios:failure |

Parameters:

  [in] | HDF5_File | - HDF5 file handle
  [in] | MatrixName | - HDF5 Dataset name
  [in] | CompressionLevel | - Compression level

Reimplemented from TBaseMatrix.

Definition at line 139 of file LongMatrix.cpp.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- MatrixClasses/LongMatrix.h
- MatrixClasses/LongMatrix.cpp

All Classes Files Functions Variables Typedefs Enumerations